precision mediump float;
varying vec2 textureCoordinate;
uniform sampler2D inputTexture;
uniform int flipX;
uniform int flipY;

void main() {
    vec2 uv = textureCoordinate;
    if (flipX > 0){
        uv = vec2(1.0 - uv.x, uv.y);
    }
    if (flipY > 0){
        uv = vec2(uv.x, 1.0 - uv.y);
    }
    gl_FragColor = texture2D(inputTexture, uv);
}
