precision highp float;
varying vec2 textureCoordinate;
uniform int format;
uniform sampler2D tex_y;
uniform sampler2D tex_u;
uniform sampler2D tex_v;
uniform int flipX;
uniform int flipY;

void main() {
    if (0 == format || 3 == format) {
        gl_FragColor = texture2D(tex_y, textureCoordinate);//rgb rgb565
    }
    else if (4 == format) { //unknown
        gl_FragColor = vec4(1.0, 1.0, 0.0, 1.0);
    }
    else {
        vec3 yuv;
        float x = textureCoordinate.x;
        float y = 1.0-textureCoordinate.y;
        if (flipX>0){
            x = 1.0 - textureCoordinate.x;
        }
        if (flipY > 0){
            y = textureCoordinate.y;
        }
        vec2 cord = vec2(x, y);
        yuv.x = texture2D(tex_y, cord).r;
        yuv.y = texture2D(tex_u, cord).r - 0.5;
        if (1 == format) { //NV12
            yuv.z = texture2D(tex_u, cord).a - 0.5;
        }
        else { //I420
            yuv.z = texture2D(tex_v, cord).r - 0.5;
        }
        yuv.x = 1.1643 * yuv.x - 0.0728;
        gl_FragColor = vec4(
        yuv.x + 1.5958 * yuv.z,
        yuv.x - 0.39173 * yuv.y - 0.8129 * yuv.z,
        yuv.x + 2.017 * yuv.y,
        1.0);
    }
}
