
precision highp float;
varying vec2 textureCoordinate;

uniform sampler2D inputTexture;
uniform sampler2D inputImageTexture2; //顶部图片
uniform float progress;



vec4 getFromColor (vec2 uv){
    return texture2D(inputTexture, uv);
}

vec4 getToColor (vec2 uv){
    return texture2D(inputImageTexture2, uv);
}


#define PI 3.141592653589

const float startingAngle = 90.0; // = 90;

vec4 transition (vec2 uv) {
    
    float offset = startingAngle * PI / 180.0;
    float angle = atan(uv.y - 0.5, uv.x - 0.5) + offset;
    float normalizedAngle = (angle + PI) / (2.0 * PI);
    
    normalizedAngle = normalizedAngle - floor(normalizedAngle);
    
    return mix(
               getFromColor(uv),
               getToColor(uv),
               step(normalizedAngle, progress)
               );
}
    

void main()
{
    highp vec2 uv = textureCoordinate;
    gl_FragColor = transition(uv);
}

