precision highp float;
varying vec2 textureCoordinate;

uniform sampler2D inputTexture;
uniform sampler2D inputImageTexture2;//顶部图片
uniform float progress;

vec4 getFromColor (vec2 uv){
    return texture2D(inputTexture, uv);
}

vec4 getToColor (vec2 uv){
    return texture2D(inputImageTexture2, uv);
}

vec4 transition (vec2 uv) {
    if (progress < 0.5){
        return getFromColor(uv);
    } else {
        return getToColor(uv);
    }
}

void main()
{
    highp vec2 uv = textureCoordinate;
    gl_FragColor = transition(uv);
}

