precision highp float;
varying vec2 textureCoordinate;

uniform sampler2D inputTexture;
uniform sampler2D inputImageTexture2;//顶部图片
uniform float progress;

const vec3 color= vec3(1.0, 1.0, 1.0);
const float colorPhase = 0.1;

vec4 getFromColor (vec2 uv){
    return texture2D(inputTexture, uv);
}

vec4 getToColor (vec2 uv){
    return texture2D(inputImageTexture2, uv);
}

vec4 transition (vec2 uv) {
    if(progress >= colorPhase){
        return mix(vec4(color, 1.0),getToColor(uv) , smoothstep(colorPhase, 1.0, progress));
    }else{
        return mix(vec4(color, 1.0), getFromColor(uv), smoothstep(1.0-colorPhase, 0.0, progress));
    }
}

void main()
{
    highp vec2 uv = textureCoordinate;
    gl_FragColor = transition(uv);
}