
precision highp float;
varying vec2 textureCoordinate;

uniform sampler2D inputTexture;
uniform sampler2D inputImageTexture2; //顶部图片
uniform float progress;


vec4 getFromColor (vec2 uv){
    return texture2D(inputTexture, uv);
}

vec4 getToColor (vec2 uv){
    return texture2D(inputImageTexture2, uv);
}


float inHeart (vec2 p, vec2 center, float size) {
    if (size==0.0) return 0.0;
    vec2 o = (p-center)/(1.6*size);
    float a = o.x*o.x+o.y*o.y-0.3;
    return step(a*a*a, o.x*o.x*o.y*o.y*o.y);
}
vec4 transition (vec2 uv) {
    return mix(
               getFromColor(uv),
               getToColor(uv),
               inHeart(uv, vec2(0.5, 0.4), progress)
               );
}


void main()
{
    highp vec2 uv = textureCoordinate;
    gl_FragColor = transition(uv);
}

