precision highp float;
varying vec2 textureCoordinate;

const vec3 color= vec3(0.0, 0.0, 0.0);
const float colorPhase = 0.1;

uniform sampler2D inputTexture;
uniform sampler2D inputImageTexture2; //顶部图片
uniform float progress;

vec4 getFromColor (vec2 uv){
    return texture2D(inputTexture, uv);
}

vec4 getToColor (vec2 uv){
    return texture2D(inputImageTexture2, uv);
}

vec4 transition (vec2 uv) {
    
    float pro = progress;
    vec4 color = vec4(0.0,0.0,0.0,1.0);
    float offsetY = 1.0/3.0;
    if(uv.y > offsetY && uv.y < offsetY *2.0)
    {
        if(uv.x>(1.0 - pro))
        {
            color = getToColor(vec2(uv.x - 1.0 + pro,uv.y));
        }
        else
        {
            color = getFromColor(vec2(uv.x + pro,uv.y));
        }
    }
    else
    {
        if(uv.x<pro)
        {
            color = getToColor(vec2(uv.x-pro + 1.0,uv.y));
            
        }
        else
        {
            color = getFromColor(vec2(uv.x-pro,uv.y));
        }
    }
    return color;
}

void main()
{
    highp vec2 uv = textureCoordinate;
    vec4 color = transition(uv);
    gl_FragColor = color;
}
