//原点切换
precision highp float;
varying vec2 textureCoordinate;

uniform sampler2D inputTexture;
uniform sampler2D inputImageTexture2; //顶部图片
uniform float progress;



const float SQRT_2 = 1.414213562373;
const float dots = 20.0;// = 20.0;
const vec2 center = vec2(0.0,0.0);// = vec2(0, 0);


vec4 getFromColor (vec2 uv){
    return texture2D(inputTexture, uv);
}

vec4 getToColor (vec2 uv){
    return texture2D(inputImageTexture2, uv);
}


vec4 transition(vec2 uv) {
    bool nextImage = distance(fract(uv * dots), vec2(0.5, 0.5)) < ( progress / distance(uv, center));
    return nextImage ? getToColor(uv) : getFromColor(uv);
}




void main()
{
    highp vec2 uv = textureCoordinate;
    gl_FragColor = transition(uv);
}

