//放大切换
precision highp float;
varying vec2 textureCoordinate;

uniform sampler2D inputTexture;
uniform sampler2D inputImageTexture2; //顶部图片
uniform float progress;

const float zoom_quickness = 1.0; // = 0.8

vec4 getFromColor (vec2 uv){
    return texture2D(inputImageTexture2, uv);
}

vec4 getToColor (vec2 uv){
    return texture2D(inputTexture, uv);
}

vec2 zoom(vec2 uv, float amount) {
    return 0.5 + ((uv - 0.5) * amount);
}

vec4 transition (vec2 uv) {
    float nQuick = clamp(zoom_quickness,0.2,1.0);
    return mix(
               getFromColor(zoom(uv, smoothstep(0.0, nQuick, progress))),
               getToColor(uv),
               smoothstep(nQuick-0.2, 1.0, progress)
               );
}

void main()
{
    highp vec2 uv = textureCoordinate;
    gl_FragColor = transition(uv);
}

