precision highp float;
varying vec2 textureCoordinate;

const vec3 color= vec3(0.0, 0.0, 0.0);
const float colorPhase = 0.1;
uniform sampler2D inputTexture;
uniform sampler2D inputImageTexture2;//顶部图片
uniform float progress;

vec4 getFromColor (vec2 uv){
    return texture2D(inputTexture, uv);
}

vec4 getToColor (vec2 uv){
    return texture2D(inputImageTexture2, uv);
}


vec4 transition (vec2 uv) {

    float pro = progress;
    vec4 color = vec4(0.0, 0.0, 0.0, 1.0);
    float offsetX = 1.0/3.0;
    if (uv.x > offsetX && uv.x < offsetX *2.0)
    {

        if (uv.y>(1.0 - pro))
        {
            color = getToColor(vec2(uv.x, uv.y-1.0+pro));
        }
        else
        {
            color = getFromColor(vec2(uv.x, uv.y+pro));
        }
    }
    else
    {
        if (uv.y<pro)
        {
            color = getToColor(vec2(uv.x, uv.y-pro + 1.0));

        }
        else
        {
            color = getFromColor(vec2(uv.x, uv.y-pro));
        }
    }
    return color;
}

void main()
{
    highp vec2 uv = textureCoordinate;
    vec4 color = transition(uv);
    gl_FragColor = color;
}
