//百叶窗切换

precision highp float;
varying vec2 textureCoordinate;

uniform sampler2D inputTexture;
uniform sampler2D inputImageTexture2;//顶部图片
uniform float progress;
const float count = 10.0;// = 10.0
const float smoothness = 0.5;// = 0.5
vec4 getFromColor (vec2 uv){
    return texture2D(inputTexture, uv);
}

vec4 getToColor (vec2 uv){
    return texture2D(inputImageTexture2, uv);
}

vec4 transition (vec2 p) {
    float pr = smoothstep(-smoothness, 0.0, p.x - progress * (1.0 + smoothness));
    float s = step(pr, fract(count * p.x));
    return mix(getFromColor(p), getToColor(p), s);
}

void main()
{
    highp vec2 uv = textureCoordinate;
    gl_FragColor = transition(uv);
}

